Bug 1530325 - Brick multiplexing: glustershd fails to start on a volume force start after a brick is down
Summary: Brick multiplexing: glustershd fails to start on a volume force start after a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Rajesh Madaka
URL:
Whiteboard: brick-multiplexing
Depends On: 1530217
Blocks: 1503137 1530281 1530448 1530449 1530450
TreeView+ depends on / blocked
 
Reported: 2018-01-02 15:12 UTC by Atin Mukherjee
Modified: 2018-09-04 06:42 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1530217
Environment:
Last Closed: 2018-09-04 06:40:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:42:22 UTC

Comment 6 Rajesh Madaka 2018-04-18 12:57:43 UTC
I have tried below scenario for 4 times and i didn't hit this issue

Steps to Reproduce:
1. create a brick mux setup
2. create about 30 1x3 volumes
3. start the volumes
4. pump IOs to the base volume and another volume(i created an extra ecvol for this)
5.now kill a brick say b1
6. use volume force start of any volume(some vol in higher ascending order say vol15 or vol20 ...and not the base volume)

Build version: -gluster-3.12.2-7

Comment 8 errata-xmlrpc 2018-09-04 06:40:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.